Description: Use core module Digest::SHA instead of Digest::SHA1
Author: Ernesto Hernández-Novich <emhn@usb.ve>
Last-Update: 2015-05-12
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=104381
Bug: https://rt.cpan.org/Ticket/Display.html?id=104381

--- a/META.yml
+++ b/META.yml
@@ -21,7 +21,7 @@
   version: 1.4
 name: Plack-Middleware-CSRFBlock
 requires:
-  Digest::SHA1: 0
+  Digest::SHA: 0
   HTML::Parser: 0
   Plack: 0
   Time::HiRes: 0
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -20,7 +20,7 @@
   "LICENSE" => "perl",
   "NAME" => "Plack::Middleware::CSRFBlock",
   "PREREQ_PM" => {
-    "Digest::SHA1" => 0,
+    "Digest::SHA" => 0,
     "HTML::Parser" => 0,
     "Plack" => 0,
     "Time::HiRes" => 0
--- a/dist.ini
+++ b/dist.ini
@@ -17,7 +17,7 @@
 exclude_filename = README.md
 
 [Prereqs / RuntimeRequires]
-Digest::SHA1 = 0
+Digest::SHA = 0
 Time::HiRes = 0
 HTML::Parser = 0
 Plack = 0
--- a/lib/Plack/Middleware/CSRFBlock.pm
+++ b/lib/Plack/Middleware/CSRFBlock.pm
@@ -6,7 +6,7 @@
 
 # ABSTRACT: Block CSRF Attacks with minimal changes to your app
 
-use Digest::SHA1;
+use Digest::SHA;
 use Time::HiRes qw(time);
 use HTML::Parser;
 use Plack::Request;
@@ -30,7 +30,7 @@
     $self->header_name($header_name);
 
     $self->_token_generator(sub {
-        my $token = Digest::SHA1::sha1_hex(rand() . $$ . {} . time);
+        my $token = Digest::SHA::sha1_hex(rand() . $$ . {} . time);
         substr($token, 0 , $self->token_length);
     });
 }
